<?php namespace Intellex\Pixabay;

/**
 * A search on the image API.
 * @class
 */
class ImagesAPI extends Api\ApiAbstract {

	/**
	 * Defines a prefix used for creating a final URL.
	 *
	 * @return string The prefix to append to
	 */
	protected function apiPrefix() {
		return '';
	}

	/**
	 * Additionally modify the parameters.
	 *
	 * @params array $params The current parameters.
	 *
	 * @return array The modified list of parameters.
	 */
	protected function modifyParams($params) {
		return $params;
	}

	/**
	 * Define the content of hits.
	 *
	 * @return string The class name of the content.
	 */
	protected function usedClassName() {
		return 'Image';
	}

}
